Bug 1458240 - rpcbind crash on start [rhel-6.9.z]
rpcbind crash on start [rhel-6.9.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpcbind (Show other bugs)
6.9
x86_64 Linux
urgent Severity high
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
: Regression, ZStream
Depends On: 1455142
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-02 07:25 EDT by Jaroslav Reznik
Modified: 2017-06-28 05:56 EDT (History)
34 users (show)

See Also:
Fixed In Version: rpcbind-0.2.0-13.el6_9.1
Doc Type: Bug Fix
Doc Text:
Cause: Static memory was being freed do to a bug in the fix for CVE-2017-8779 Consequence: Rpcbind would die on start up do to a segmentation fault Fix: Remove code that was needlessly do the freeing of static memory Result: rpcbind now starts up cleanly
Story Points: ---
Clone Of: 1455142
Environment:
Last Closed: 2017-06-13 11:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3053461 None None None 2017-06-02 07:25 EDT

  None (edit)
Description Jaroslav Reznik 2017-06-02 07:25:35 EDT
This bug has been copied from bug #1455142 and has been proposed
to be backported to 6.9 z-stream (EUS).
Comment 6 Yongcheng Yang 2017-06-03 11:42:44 EDT
Moving to VERIFIED as test logs in Comment #5.

Other regression tests are in progress now.
Comment 9 errata-xmlrpc 2017-06-13 11:34:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1435

Note You need to log in before you can comment on or make changes to this bug.